import { assertEquals } from "StdLib/assert/mod.ts"

Deno.test("final_slash_suffix", () => {
  assertEquals(final_slash_suffix("/"), "", "just slash case")
  assertEquals(final_slash_suffix("a/b/c/d/e"), "e", "component case")
  assertEquals(final_slash_suffix("a/b/c/d/e/"), "", "folder case")
  assertEquals(final_slash_suffix(""), "", "empty string case")
})
